Group: Communications
# BEGIN SourceDeps(oneline):
BuildRequires: libcrypt-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary: An ircII chat client
Name: epic
Version: 2.10.10
Release: alt1_11
Epoch: 4
License: BSD-3-Clause AND ISC AND LicenseRef-Fedora-Public-Domain
Source0: ftp://ftp.epicsol.org/pub/epic/EPIC4-PRODUCTION/epic4-%{version}.tar.xz
Source1: ftp://ftp.epicsol.org/pub/epic/EPIC4-PRODUCTION/epic4-help-current.tar.bz2
Source2: epic.wmconfig
Source3: ircII.servers
Source4: http://prdownloads.sourceforge.net/splitfire/sf-1.35.irc.gz
Source5: http://splitfire.sourceforge.net/schemes/sf-bitchx-scheme.irc.gz
Source6: http://splitfire.sourceforge.net/schemes/sf-eggsandham-scheme.irc.gz
Source7: http://splitfire.sourceforge.net/schemes/sf-light-scheme.irc.gz
Source8: http://splitfire.sourceforge.net/schemes/sf-perry-scheme.irc.gz
Patch0: epic-default.patch
#Patch1: patch by Michael Jennings, accepted by upstream
Patch1: epic4-2.10.1-sighandling.patch
Patch2: epic4-2.10.10-c99.patch
URL: http://www.epicsol.org/
BuildRequires: gcc
BuildRequires: libssl-devel
BuildRequires: libncurses++-devel libncurses++w-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel
BuildRequires: automake autoconf
Source44: import.info

%description
EPIC (Enhanced Programmable ircII Client) is an advanced ircII chat
client.  Chat clients connect to servers around the world, enabling
you to chat with other people.

%prep 
rm -rf $RPM_BUILD_DIR/ircii-EPIC%{prog_version}

%setup -q -n epic4-%{version} -a 1
%patch0 -p0 -b .default
%patch1 -p1 -b .sighandling
%patch2 -p1 -b .c99

%build
autoreconf -vi
%configure

rm -rf help/Makefile help/README_FIRST
find help -type d -name CVS | while read line; do rm -rf $line; done;

make

%install

# see INSTALL, -O2 is not usable for epic
export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed s/-O2/-O/`

make install CFLAGS="$RPM_OPT_FLAGS" installhelp IP=$RPM_BUILD_ROOT prefix=%{_prefix} mandir=%{_mandir} 

rm $RPM_BUILD_ROOT/usr/bin/epic
ln -s epic-EPIC4-%{version} $RPM_BUILD_ROOT/usr/bin/epic 

for file in %{SOURCE4} %{SOURCE5} %{SOURCE6} %{SOURCE7} %{SOURCE8}; do
	sNAME=`echo $file | sed -e 's/\.gz$//'`;
	bNAME=`basename $sNAME`;
	zcat $file | sed -e 's/^\(\^set HELP_PATH.*\)/#\1/' > $bNAME;
	install $bNAME $RPM_BUILD_ROOT/usr/share/epic/script/
done;

install %{SOURCE3} $RPM_BUILD_ROOT/usr/share/epic/

# remove the CVS dir in the doc dir
rm -rf doc/CVS

# wserv is just not very useful
rm -f $RPM_BUILD_ROOT/%{_libexecdir}/wserv

%files
%doc BUG_FORM INSTALL KNOWNBUGS README UPDATES
%doc doc/*
%doc --no-dereference COPYRIGHT
%{_bindir}/*
%{_libexecdir}/*
# wildcard _libexecdir/*
%exclude %_prefix/lib/debug
%dir %{_datadir}/epic
%config(noreplace) %{_datadir}/epic/ircII.servers
%dir %attr(755,root,root) %{_datadir}/epic/script
%attr(644,root,root) %{_datadir}/epic/script/*
%{_mandir}/*/*
%dir %{_datadir}/epic/help
%{_datadir}/epic/help/*

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 4:2.10.10-alt1_11
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 4:2.10.10-alt1_9
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 4:2.10.10-alt1_7
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 4:2.10.10-alt1_5
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 4:2.10.10-alt1_4
- update to new release by fcimport

* Mon Sep 20 2021 Igor Vlasenko <viy@altlinux.org> 4:2.10.10-alt1_3
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 4:2.10.10-alt1_2
- update to new release by fcimport

* Wed Apr 14 2021 Igor Vlasenko <viy@altlinux.org> 4:2.10.10-alt1_1
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 4:2.10.9-alt2_2
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 4:2.10.9-alt2_1
- update to new release by fcimport

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 4:2.10.9-alt1_1
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 4:2.10.8-alt1_3
- update to new release by fcimport

* Sat Jun 13 2020 Igor Vlasenko <viy@altlinux.ru> 4:2.10.8-alt1_2
- update to new release by fcimport

* Thu Feb 27 2020 Igor Vlasenko <viy@altlinux.ru> 4:2.10.8-alt1_1
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 4:2.10.7-alt1_2
- update to new release by fcimport

* Mon Apr 15 2019 Igor Vlasenko <viy@altlinux.ru> 4:2.10.7-alt1_1
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 4:2.10.6-alt1_11
- update to new release by fcimport

* Fri Jan 25 2019 Igor Vlasenko <viy@altlinux.ru> 4:2.10.6-alt1_10
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 4:2.10.6-alt1_9
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 4:2.10.6-alt1_7
- update to new release by fcimport

* Mon Feb 05 2018 Igor Vlasenko <viy@altlinux.ru> 4:2.10.6-alt1_6
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 4:2.10.6-alt1_5
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 4:2.10.6-alt1_3
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 4:2.10.6-alt1_2
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 4:2.10.5-alt1_4
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 4:2.10.5-alt1_3
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 4:2.10.5-alt1_2
- update to new release by fcimport

* Wed May 14 2014 Igor Vlasenko <viy@altlinux.ru> 4:2.10.5-alt1_1
- update to new release by fcimport

* Fri Feb 21 2014 Igor Vlasenko <viy@altlinux.ru> 4:2.10.4-alt1_1
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 4:2.10.2-alt1_2
- update to new release by fcimport

* Wed Jul 31 2013 Igor Vlasenko <viy@altlinux.ru> 4:2.10.2-alt1_1
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 4:2.10.1-alt1_5
- update to new release by fcimport

* Thu Dec 20 2012 Igor Vlasenko <viy@altlinux.ru> 4:2.10.1-alt1_4
- fc import

